Subject: bug#57434: 28.1.91; Terminal Emacs Mac OS flickering.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Aug 2022 19:22:03 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Mon, 29 Aug 2022 17:15:41 +0200
> 
> LLDB doesn't work for me, neither the one from Apple, nor from LLVM 14.
> For some reason, SIGTTOU seems to be behave differently when running
> Emacs -nw under LLDB, even when I tell LLDB to not stop or report it.
> Or so I think, I'm not an LLDB expert.
> 
> Here is what I tried
> 
> cd src
> lldb emacs
> b main
> run -Q -nw
> process handle -s false -n false SIGTTOU
> c
> 
> but then Emacs gets stuck.  Maybe it's a bug in LLDB.

Is this specific to -nw sessions?  If so, maybe LLFB has a command
similar to GDB's "set new-console 1"?  That's what I do to make sure
the console used by GDB doesn't get messed up by the terminal setup
used by Emacs to prepare the terminal for itself.  Like this:

  $ gdb ./emacs
  ...
  (gdb) set new-console 1
  (gdb) r -Q -nw

Then Emacs gets a new console for its TTY frame, while GDB retains its
original console.